<p>
  <div class="change_header">
    <span class="change_type"><%= change.type_name %> by</span>&nbsp;
    <%= link_to change.user_name, :controller => 'user', :action => 'show', :id => change.user_id %>&nbsp;
    <span class="change_date"><%= change.display_date_created %></span>&nbsp;&nbsp;
    <% if logged_user.can_edit_change(change) -%>
    <a id="edit_btn_<%= change.id %>" onclick="javascript:toggleEdit(<%= change.id %>);" title="Edit message"><img alt="Edit" border="0" src="/images/small_edit.gif" /></a>&nbsp;
    <% if change.has_message? -%>
    <a onclick="javascript:changeDelete(<%= change.id %>);" title="Delete message"><img alt="Delete" border="0" src="/images/small_delete.gif" /></a>
    <% end -%>
    <% end -%>
    <ul class="change_log">
      <% change.each_log do |log_entry| -%>
      <li><%= log_entry %></li>
      <% end -%>
    </ul>
  </div>
  <% if change.has_message?-%>
  <div <%= fade_id(change.id) %> class="change_msg"><%= textilize(change.msg) %></div>
  <% end -%>
  <% if logged_user.can_edit_change(change) -%>
  <%= start_form_tag({:action => "change_edit"}, {"id" => "edit_#{change.id}", "class" => "toggle_frm", "style" => "display: none;"}) %>
  <input type="hidden" name="id" value="<%= change.id %>" />
  <label for="msg">Comment:</label><br />
  <textarea name="msg" cols="60" rows="7"><%= change.msg %></textarea><br />
  <input type="submit" value="Edit" />&nbsp;&nbsp;(&nbsp;or&nbsp;<span onclick="javascript:toggleEdit(<%= change.id %>)">Cancel</span>&nbsp;)
  <%= end_form_tag %>  
  <% end -%>
  <% if change.attachment -%>
  <div class="change_attachment">Attachment:&nbsp;<%= link_to(change.attachment, :action => "attachment", :id => change.id) %></a></div>
  <% end -%>
</p>
